@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;700&display=swap');


@tailwind base;
@tailwind components;
@tailwind utilities;

@import url(print.css);

* {
  box-sizing: border-box;
  font-family: 'Rubik', sans-serif;
}

::-webkit-scrollbar {
  display: none;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

body {
  @apply
  bg-slate-50
}

.head_info {
  @apply
  flex
  justify-between
  items-center
  px-3
}

.bottomnav {
  position: fixed;
  bottom: 5%;
  left: 50%;
  transform: translateX(-50%);
  @apply
  rounded-3xl
  shadow-2xl
  bg-white
  flex
  justify-center
  items-center
}

.bottomnav.hidden {
  display: none;
}

.bottomnav svg {
  @apply
  w-10
  text-7xl
  text-gray-500
  hover:text-gray-700
  cursor-pointer
}

.payment_info_card {
  width: 26%;
  top: 0;
  bottom:0;
  position:fixed;
  overflow-y:scroll;
  overflow-x:hidden;
}

.payment_info_card::-webkit-scrollbar {
  display: none;
}

.min-height-200 {
  min-height: 200px;
}

.products__container {
  margin-top: 20px;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-row-gap: 10px;
  grid-column-gap: 10px;
}

.container {
  width: 98%;
  margin: auto;
}

/* COLORS */

.yellow {
  @apply
  bg-yellow-300
  hover:bg-yellow-400
}

.green {
  @apply
  bg-green-300 
  hover:bg-green-400
}

.red {
  @apply
  bg-red-400 
  hover:bg-red-500
}

/* LOADING */

.loading {
  width: 100px;
  height: 100px;
  animation: spin 1s linear infinite;
  border: 15px solid rgb(160, 158, 158);
  border-top: 15px solid black;
  border-radius: 50%;
  margin: auto;
  margin-top: 20px;
}

@keyframes spin {
  0% {
    transform: rotate(0deg)
  }
  100% {
    transform: rotate(360deg);
  }
}